#!/bin/bash

LINK_FILES=(bashrc vimrc tmux.conf gitconfig dircolors)
mkdir ~/.home-git-back 2>/dev/null
for file in ${LINK_FILES[@]}; do
	if  [ ! -L ~/.${file} ] ; then
		mv -v ~/.${file} ~/.home-git-back
    	ln -s $(pwd)/${file} ~/.${file}
	fi
done


[ ! -d ~/.bash-git-prompt ] && git clone https://github.com/nold360/bash-git-prompt.git ~/.bash-git-prompt

mkdir ~/.vim 2>/dev/null
[ ! -d ~/.vim/bundle ] && git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle

vim -c ":PluginInstall" -c ":q" -c ":q"
